import request from "@/utils/request";

// 企业服务需求列表
export const listCasDemand = (params) =>
  request({
    url: "/business/dataReview/listCasDemand/list",
    method: "GET",
    params,
  });

// 企业服务需求详情
export const getCasDemandInfo = (id) =>
  request({
    url: `/business/dataReview/getCasDemandInfo/${id}`,
    method: "GET",
  });

// 修改企业服务需求
export const updateCasDemand = (data) =>
  request({
    url: `/business/dataReview/updateCasDemand`,
    method: "PUT",
    data,
  });
// 删除企业服务需求
export const deleteCasDemand = (ids) =>
  request({
    url: `/business/dataReview/listCasDemand/${ids}`,
    method: "DELETE",
  });

// 批量审核企业服务需求
export const batchCasDemand = (ids,status) =>
  request({
    url: `/business/dataReview/batchCasDemand/${ids}/${status}`,
    method: "PUT",
  });

// // 批量删除企业技术需求
// export const deleteTechnologyDemand = (ids) =>
//   request({
//     url: `/business/dataReview/deleteTechnologyDemand/${ids}`,
//     method: "DELETE",
//   });
